T

Leopard雑感

Leopardにして困ったこと。

Apache

 apachectlの「ULIMIT_MAX_FILES=”ulimit -S -n `ulimit -H -n`”」の行でエラー。ulimitの引数が「unlimited」になるとエラーらしい。とりあえず動くし手元のテスト環境なので無視。

pgpool-II

 起動したら「could not create shared memory segment: Cannot allocate memory」で死ぬ。どうにもわからんのでpgpoolに戻した。

PHP

 PHP-5.2.5はiconv関連のエラーでビルドできない。ext/iconv/iconv.cを開いて:%s/iconv_open/libiconv_open/gと:%s/iconv_close/libiconv_close/gすればビルドできるようになる。Leopard対応できてない。

kinput2-macim

 Leopard対応していない、と怒られてインストールできない。対策なし。

Posted by on 11月 18, 2007 in Apache, Apple, pgpool, PHP

コメントを残す